Mono.Cairo 1.0.5000.0 2.0.0.0 System.Enum Defines Pattern Extend types. `image = new ImageSurface ("data/e.png"); pattern = new SurfacePattern (image); pattern.Extend = Cairo.Extend.Repeat; matrix = new Matrix (); matrix.InitScale (w * 5.0, h * 5.0); pattern.Matrix = matrix; gr.Pattern = pattern;`
- Field
  Cairo.Extend No extend. 1.0.5000.0 2.0.0.0
- Field
  Cairo.Extend pixels outside of the pattern copy the closest pixel from the source 1.0.5000.0 2.0.0.0
- Field
  Cairo.Extend Reflect a certain Pattern. 1.0.5000.0 2.0.0.0
- Field
  Cairo.Extend Repeat a certain Pattern. 1.0.5000.0 2.0.0.0